/**
 * generated by Xtext 2.17.0
 */
package org.xtext.example.mydsl.scheme;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Define</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.xtext.example.mydsl.scheme.Define#getVarUm <em>Var Um</em>}</li>
 *   <li>{@link org.xtext.example.mydsl.scheme.Define#getVarValue <em>Var Value</em>}</li>
 * </ul>
 *
 * @see org.xtext.example.mydsl.scheme.SchemePackage#getDefine()
 * @model
 * @generated
 */
public interface Define extends Command
{
  /**
   * Returns the value of the '<em><b>Var Um</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Var Um</em>' attribute.
   * @see #setVarUm(String)
   * @see org.xtext.example.mydsl.scheme.SchemePackage#getDefine_VarUm()
   * @model
   * @generated
   */
  String getVarUm();

  /**
   * Sets the value of the '{@link org.xtext.example.mydsl.scheme.Define#getVarUm <em>Var Um</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Var Um</em>' attribute.
   * @see #getVarUm()
   * @generated
   */
  void setVarUm(String value);

  /**
   * Returns the value of the '<em><b>Var Value</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Var Value</em>' attribute.
   * @see #setVarValue(int)
   * @see org.xtext.example.mydsl.scheme.SchemePackage#getDefine_VarValue()
   * @model
   * @generated
   */
  int getVarValue();

  /**
   * Sets the value of the '{@link org.xtext.example.mydsl.scheme.Define#getVarValue <em>Var Value</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Var Value</em>' attribute.
   * @see #getVarValue()
   * @generated
   */
  void setVarValue(int value);

} // Define
